Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class DOMParser

    java.lang.Object
      weblogic.apache.xerces.parsers.XMLParser
          weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
              weblogic.apache.xerces.parsers.AbstractDOMParser
                  weblogic.apache.xerces.parsers.DOMParser

All Implemented Interfaces:
  XMLDocumentHandler, XMLDTDContentModelHandler, XMLDTDHandler

Deprecated. please use JDK supplied XML parsers and transformers

    public class DOMParser

extends AbstractDOMParser

This is the main Xerces DOM parser class. It uses the abstract DOM parser with a document scanner, a dtd scanner, and a validator, as well as a grammar pool.

Field Summary
`protected static String` | `SYMBOL_TABLE` Deprecated. Property identifier: symbol table.
`protected static String` | `XMLGRAMMAR_POOL` Deprecated. Property identifier: XML grammar pool.

Fields inherited from class weblogic.apache.xerces.parsers.AbstractDOMParser
`CORE_DOCUMENT_CLASS_NAME, CREATE_CDATA_NODES_FEATURE, CREATE_ENTITY_REF_NODES, CURRENT_ELEMENT_NODE, DEFAULT_DOCUMENT_CLASS_NAME, DEFER_NODE_EXPANSION, DOCUMENT_CLASS_NAME, fBaseURIStack, fCreateCDATANodes, fCreateEntityRefNodes, fCurrentCDATASection, fCurrentCDATASectionIndex, fCurrentEntityDecl, fCurrentNode, fCurrentNodeIndex, fDeferNodeExpansion, fDeferredDocumentImpl, fDeferredEntityDecl, fDocument, fDocumentClassName, fDocumentImpl, fDocumentIndex, fDocumentType, fDocumentTypeIndex, fDOMFilter, fFilterReject, fFirstChunk, fInCDATASection, fIncludeComments, fIncludeIgnorableWhitespace, fInDocument, fInDTD, fInDTDExternalSubset, fInternalSubset, fNamespaceAware, fNormalizeData, fRejectedElement, fSkippedElemStack, fStorePSVI, fStringBuffer, INCLUDE_COMMENTS_FEATURE, INCLUDE_IGNORABLE_WHITESPACE, NAMESPACES, NORMALIZE_DATA, PSVI_DOCUMENT_CLASS_NAME`

Fields inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`fDocumentSource`

Fields inherited from class weblogic.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`DOMParser()` Deprecated. Constructs a DOM parser using the dtd/xml schema parser configuration.
`DOMParser(SymbolTable symbolTable)` Deprecated. Constructs a DOM parser using the specified symbol table.
`DOMParser(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Deprecated. Constructs a DOM parser using the specified symbol table and grammar pool.
`DOMParser(XMLParserConfiguration config)` Deprecated. Constructs a DOM parser using the specified parser configuration.

Method Summary
`EntityResolver` | `getEntityResolver()` Deprecated. Return the current entity resolver.
`ErrorHandler` | `getErrorHandler()` Deprecated. Return the current error handler.
`boolean` | `getFeature(String featureId)` Deprecated. Query the state of a feature.
`Object` | `getProperty(String propertyId)` Deprecated. Query the value of a property.
`void` | `parse(InputSource inputSource)` Deprecated. parse
`void` | `parse(String systemId)` Deprecated. Parses the input source specified by the given system identifier.
`void` | `setEntityResolver(EntityResolver resolver)` Deprecated. Sets the resolver used to resolve external entities.
`void` | `setErrorHandler(ErrorHandler errorHandler)` Deprecated. Allow an application to register an error event handler.
`void` | `setFeature(String featureId, boolean state)` Deprecated. Set the state of any feature in a SAX2 parser.
`void` | `setProperty(String propertyId, Object value)` Deprecated. Set the value of any property in a SAX2 parser.

Methods inherited from class weblogic.apache.xerces.parsers.AbstractDOMParser
`attributeDecl, characters, comment, createAttrNode, createElementNode, doctypeDecl, elementDecl, emptyElement, endAttlist, endCDATA, endConditional, endDocument, endDTD, endElement, endExternalSubset, endGeneralEntity, endParameterEntity, endPrefixMapping, externalEntityDecl, getDocument, getDocumentClassName, handleBaseURI, handleBaseURI, ignorableWhitespace, ignoredCharacters, internalEntityDecl, notationDecl, processingInstruction, reset, setCharacterData, setDocumentClassName, startAttlist, startCDATA, startConditional, startDocument, startDTD, startElement, startExternalSubset, startGeneralEntity, startParameterEntity, startPrefixMapping, textDecl, unparsedEntityDecl, xmlDecl`

Methods inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`any, element, empty, endContentModel, endGroup, getDocumentSource, occurrence, pcdata, separator, setDocumentSource, startContentModel, startGroup`

Methods inherited from class weblogic.apache.xerces.parsers.XMLParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYMBOL_TABLE

    protected static final String SYMBOL_TABLE

  Deprecated.
  Property identifier: symbol table.

  See Also:
    Constant Field Values

### XMLGRAMMAR_POOL

    protected static final String XMLGRAMMAR_POOL

  Deprecated.
  Property identifier: XML grammar pool.

  See Also:
    Constant Field Values

Constructor Detail

### DOMParser

    public DOMParser(XMLParserConfiguration config)

  Deprecated.
  Constructs a DOM parser using the specified parser configuration.

### DOMParser

    public DOMParser()

  Deprecated.
  Constructs a DOM parser using the dtd/xml schema parser configuration.

### DOMParser

    public DOMParser(SymbolTable symbolTable)

  Deprecated.
  Constructs a DOM parser using the specified symbol table.

### DOMParser

    public DOMParser(SymbolTable symbolTable,
                     XMLGrammarPool grammarPool)

  Deprecated.
  Constructs a DOM parser using the specified symbol table and grammar pool.

Method Detail

### parse

    public void parse(String systemId)
               throws SAXException,
                      IOException

  Deprecated.
  Parses the input source specified by the given system identifier.

  This method is equivalent to the following:

           parse(new InputSource(systemId));

  Parameters:
    `source` - The input source.
  Throws:
    `SAXException` - Throws exception on SAX error.
    `IOException` - Throws exception on i/o error.

### parse

    public void parse(InputSource inputSource)
               throws SAXException,
                      IOException

  Deprecated.
  parse

  Parameters:
    `inputSource` -
  Throws:
    `SAXException`
    `IOException`

### setEntityResolver

    public void setEntityResolver(EntityResolver resolver)

  Deprecated.
  Sets the resolver used to resolve external entities. The EntityResolver interface supports resolution of public and system identifiers.

  Parameters:
    `resolver` - The new entity resolver. Passing a null value will uninstall the currently installed resolver.

### getEntityResolver

    public EntityResolver getEntityResolver()

  Deprecated.
  Return the current entity resolver.

  Returns:
    The current entity resolver, or null if none has been registered.
  See Also:
    `DOMParser.setEntityResolver(org.xml.sax.EntityResolver)`

### setErrorHandler

    public void setErrorHandler(ErrorHandler errorHandler)

  Deprecated.
  Allow an application to register an error event handler.

  If the application does not register an error handler, all error events reported by the SAX parser will be silently ignored; however, normal processing may not continue. It is highly recommended that all SAX applications implement an error handler to avoid unexpected bugs.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Parameters:
    `errorHandler` - The error handler.
  Throws:
    `NullPointerException` - If the handler argument is null.
  See Also:
    `DOMParser.getErrorHandler()`

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Deprecated.
  Return the current error handler.

  Returns:
    The current error handler, or null if none has been registered.
  See Also:
    `DOMParser.setErrorHandler(org.xml.sax.ErrorHandler)`

### setFeature

    public void setFeature(String featureId,
                           boolean state)
                    throws SAXNotRecognizedException,
                           SAXNotSupportedException

  Deprecated.
  Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.

  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
    `state` - The requested state of the feature (true or false).
  Throws:
    `SAXNotRecognizedException` - If the requested feature is not known.
    `SAXNotSupportedException` - If the requested feature is known, but the requested state is not supported.

### getFeature

    public boolean getFeature(String featureId)
                       throws SAXNotRecognizedException,
                              SAXNotSupportedException

  Deprecated.
  Query the state of a feature. Query the current state of any feature in a SAX2 parser. The parser might not recognize the feature.

  Parameters:
    `featureId` - The unique identifier (URI) of the feature being set.
  Returns:
    The current state of the feature.
  Throws:
    `SAXNotRecognizedException` - If the requested feature is not known.
    `SAXNotSupportedException` - If the requested feature is known but not supported.

### setProperty

    public void setProperty(String propertyId,
                            Object value)
                     throws SAXNotRecognizedException,
                            SAXNotSupportedException

  Deprecated.
  Set the value of any property in a SAX2 parser. The parser might not recognize the property, and if it does recognize it, it might not support the requested value.

  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
    `Object` - The value to which the property is being set.
  Throws:
    `SAXNotRecognizedException` - If the requested property is not known.
    `SAXNotSupportedException` - If the requested property is known, but the requested value is not supported.

### getProperty

    public Object getProperty(String propertyId)
                       throws SAXNotRecognizedException,
                              SAXNotSupportedException

  Deprecated.
  Query the value of a property. Return the current value of a property in a SAX2 parser. The parser might not recognize the property.

  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Returns:
    The current value of the property.
  Throws:
    `SAXNotRecognizedException` - If the requested property is not known.
    `SAXNotSupportedException` - If the requested property is known but not supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD